Delete Technology from a Control and Section

DELETE /pcas/v3/policy/section/control/technology/

With this API, you can delete technology for a specific control within the policy section.

Input ParametersInput Parameters

Parameter

Required/Optional

Data Type

Description

policyId={value} Required Integer Enter the ID of the policy from which you want to remove a technology within a section.
sectionNumber={value} Required Integer Enter the section number for which you want to remove a technology.
controlId={value} Required Integer Enter the ID of the control within a specific policy section
where the technology needs to be removed.
technologyId={value} Required Integer Enter a valid technology ID that is to be removed.

Sample - Delete technology from a control and sectionSample - Delete technology from a control and section

API Request

curl -X 'DELETE' \
'<qualys_base_url>/pcas/v3/policy/section/control/technology?policyId=5656121&sectionNumber=1&controlId=1048&technologyId=54' \
-H 'accept: */*' \
-H 'Authorization: Bearer <Auth Token>. 

XML Output

204


 

 

 

success Thank you! We're glad to hear that this topic was useful.
success We appreciate your feedback. We'll work to make this topic better for you in the future.